UUIDSpoof - Fix 4.1

Fix the UUID Spoofing with this plugin!

  1. zPirroZ3007
    Native Minecraft Version:
    Legacy (< 1.13)
    Tested Minecraft Versions:
    • 1.7
    • 1.8
    Source Code:
    https://github.com/zPirroZ3007/UUIDSpoofFix
    WARNING! DO NOT USE THIS PLUGIN. IT CONTAINS SECURITY ISSUES AND IT AS TODAY IS USELESS.

    ¡ADVERTENCIA! NO USE ESTE PLUGIN. CONTIENE PROBLEMAS DE SEGURIDAD Y COMO HOY ES INÚTIL.

    ATTENZIONE! NON UTILIZZARE QUESTO PLUGIN, CONTIENE PROBLEMI DI SICUREZZA ED AD OGGI È TOTALMENTE INUTILE.

    ATTENTION! N'UTILISEZ PAS CE PLUGIN. IL CONTIENT DES PROBLÈMES DE SÉCURITÉ ET IL EST AUJOURD'HUI INUTILE.



    This resource will no longer be updated.

    As today it is useless, it has been already bypassed and honestly
    I don't think that a plugin can really protect from firewall-related security issues anymore.

    To protect your server definitively against this exploit, please use a firewall, refer yourself to the firewall guide here on Spigot.
    Please always refer yourself to a real software firewall and not to any plugin, that can always be bypassed.
    There isn't any proof at the moment that this exploit works on BungeeCord or Spigot (without "bungeecord: true" enabled).


    Thanks for the support over the years.

Recent Reviews

  1. kinghmingo
    kinghmingo
    1/5,
    Version: 4.1
    Don't download this shit. This is a fucking backdoor. You can easily bypass this using zPirroZ3007 nickname.
    1. zPirroZ3007
      Author's Response
      I developed this plugin when I was 13 (now im 19 lol), I made some mistakes but I never intended it to be a backdoor. Follow a firewall guide here on Spigot and you will not need this plugin to protect your server. I've removed the plugin from every mirror of download, the source code is still available for "historic" purposes. Please keep in mind that this plugin served the community in fixing this exploit for at least 3 years. Thanks
  2. EvilSlayer
    EvilSlayer
    1/5,
    Version: 4.1
    Help pls


    [15:28:33] [Server thread/WARN]: [UUIDSpoof-Fix] Task #25 for UUIDSpoof-Fix v4.1 generated an exception
    java.lang.NoClassDefFoundError: org/apache/commons/io/Charsets
    at me.pirro.uuidspoofix.util.Fetcher.fetchOffline(Fetcher.java:41) ~[?:?]
    at me.pirro.uuidspoofix.scheduler.Check$1.run(Check.java:54) ~[?:?]
    at org.bukkit.craftbukkit.v1_15_R1.scheduler.CraftTask.run(CraftTask.java:81) ~[spigot.jar:git-Spigot-800b93f-8160e29]
    at org.bukkit.craftbukkit.v1_15_R1.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:394) [spigot.jar:git-Spigot-800b93f-8160e29]
    at net.minecraft.server.v1_15_R1.MinecraftServer.b(MinecraftServer.java:1036) [spigot.jar:git-Spigot-800b93f-8160e29]
    at net.minecraft.server.v1_15_R1.DedicatedServer.b(DedicatedServer.java:399) [spigot.jar:git-Spigot-800b93f-8160e29]
    at net.minecraft.server.v1_15_R1.MinecraftServer.a(MinecraftServer.java:984) [spigot.jar:git-Spigot-800b93f-8160e29]
    at net.minecraft.server.v1_15_R1.MinecraftServer.run(MinecraftServer.java:824) [spigot.jar:git-Spigot-800b93f-8160e29]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_241]
    1. zPirroZ3007
      Author's Response
      Read on the plugin page. This resource will not be updated.
  3. Acosade
    Acosade
    5/5,
    Version: 4.1
    PRESS F TO PAY RESPECTS

    FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
  4. Lollo3000_PRO
    Lollo3000_PRO
    1/5,
    Version: 4.1
    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable

    bypassable
  5. ResMc
    ResMc
    1/5,
    Version: 4.1
    Does not work, I would not recommend this at all, do not put your trust in this plugin!
  6. JesusAndia
    JesusAndia
    4/5,
    Version: 4.1
    Plugin de uuid spoofing ? Bungecord
    Mdmdnsnmdndkxkdkdkdjdjdjdjdjdjfbndndkdkkdkfjfbbffnfnf
  7. pelfect
    pelfect
    5/5,
    Version: 4.1
    Excelente plugin.
    puedes decirme que otras cosas debo de parchar (fix) para evitar hackeos / grifeos?
  8. CreeperMaxCZ
    CreeperMaxCZ
    5/5,
    Version: 4.1
    Good, works well on 1.12.2, UUID Spoof works on this version too, so this blocks it, thanks. But I don't know if it is necessary, when I have IPWhitelit on server too.
  9. proomaster
    proomaster
    5/5,
    Version: 4.0
    Incompatible with BetterNick, when i change me nick the plugin kicks me because of uuid spoofing x2
    1. zPirroZ3007
      Author's Response
      I'm going to update this in the future. Thanks.
  10. CleusGamer201
    CleusGamer201
    5/5,
    Version: 4.0
    Incompatible with BetterNick, when i change me nick the plugin kicks me because of uuid spoofing
    1. zPirroZ3007
      Author's Response
      I'm going to update this in the future. Thanks.